<?php

/**** Other options ****/

// Options for number of thumbs to display per page
$thumbsdisplayed = array(10, 15, 20, 25, 30, 40, 50, 80, 'custom');

// Default number of thumbs to display per page
$default = 20; 

// Leave 'js', 'img' and 'thumbs' in there and add any of your own. Non-readable and empty directories are ignored automatically. So are directories that have no images in them.
$folderstoignore = array('img', 'js', 'thumbs');

// Max number of images per album on album listing. If this is more than what the width of the page allows, they will be trimmed to fit on a single line.
$thumbsperalbum = 10;

// Order albums are shown in on front page and in "Albums" menu. Possible values: 'date', 'title' and 'name'. 'name' is the folder name, 'title' is the album title, 'date' is the date the folder (or anything in it) was last modified (newest first). Default is 'date'.
$sortby = 'date';

// Randomise images on album listing (always chronologically ordered everywhere else). true or false.
$random = true;

// If no title is specified for a particular album in index.txt, then the name of the directory will be used and it will be capitalised. Also, the characters +, - and _ will be turned into spaces. Set to false to disable this behaviour.
$prettytitles = true;

// Show album descriptions in album listing (always shown when viewing a single album). true or false.
$showdescriptions = true;

// Enable/disable fnord (nonsense) in place of missing captions. true or false.
$fnord = false;

// Show EXIF data when viewing an image. true or false.
$exif = true;

// Maximum dimensions for thumbnails. Their aspect ratio will be preserved.
$thumbmaxheight = 140;
$thumbmaxwidth = 140;

$ajax_stuff = array(
  'topbit' => 'h',
  'fixed' => 'fixed'
);

if ($_POST) {
  $post = array_intersect_key($_POST, $ajax_stuff);
  if (!empty($post)) {
    $key = array_shift(array_keys($post));
    session_name('fish');
    session_start();
    if ((int)$post[$key] === 1) $_SESSION[$key] = $ajax_stuff[$key];
    else unset($_SESSION[$key]);
    header('Content-type: text/plain');
    exit((string)(bool)$_SESSION[$key]);
  }
}

define('VERSION', 0.7);
define('MAINTITLE', $title);
define('SETTINGSFILEMTIME', 1303223426);
define('TMAXWIDTH', $thumbmaxwidth);
define('TMAXHEIGHT', $thumbmaxheight);
define('PERALBUM', (int)$thumbsperalbum);
if (!in_array($sortby, array('date', 'title', 'name'))) $sortby = 'date';
define('SORTBY', $sortby);
define('RANDOM', $random);
define('EXIF', $exif && function_exists('exif_read_data'));
define('DESCRIPTIONS', $showdescriptions);
define('PRETTYTITLES', $prettytitles);
define('DEFAULTTHUMBS', (int)$default);
define('INDEX', 'index.txt');
$dirname = trim(dirname($_SERVER['SCRIPT_NAME']), '/\\');
if (!empty($dirname)) $dirname .= '/';
define('DIRNAME', $dirname);
define('BASE', 'http://' . $_SERVER['HTTP_HOST'] . '/' . $dirname );
define('FNORD', $fnord && file_exists('fnorder.php'));
define('FFMPEG', 'ffmpeg');
define('THUMBFONT', 'js/vera.ttf');

if (FNORD === true) include 'fnorder.php';

?>